.testimonial-header-text{
    color: #FFD700;
    font-size: clamp(13px, 1.3vw, 20px);
}
.testimonial-header{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(12px, 1.5vw, 20px);
}
#testimonial{
    padding: clamp(60px, 7vw, 100px) clamp(16px, 7vw, 80px);
}
.testimonial-header-title{
    font-size: clamp(30px,4vw,70px);
    color: #0A2548;
    margin: 0;
    font-family: 'Satoshi', sans-serif;
    text-align: center;
}
.testimonial-sideline{
    height: 2px;
    background-color: #FFD700;
    width: clamp(30px, 3.4vw, 50px);
}
.testimonial-header-spacer-div{
    display: flex;
    gap: clamp(12px, 1.5vw, 20px);
    align-items: center;
}
.testimonial-shield-icon{
    width: clamp(40px, 4vw, 64px);
}
.testimonial-main-div{
    display: flex;
    justify-content: center;
    gap: clamp(25px, 3.3vw, 50px);
    padding-top: clamp(30px, 3.3vw, 50px);
}
.testimonial-left-div{
    display: flex;
    gap: clamp(12px, 1.3vw, 20px);
    align-items: center;
}
.testimonial-card{
    display: flex;
    flex-direction: column;
    max-width: clamp(300px, 39vw, 600px);
    border:1px solid rgba(10, 37, 72, 0.15);
    border : 1px solid rgba(10, 37, 72, 0.15);
    border-radius: clamp(6px, 0.6vw, 8px);
    box-shadow: 0 8px 25px rgba(10, 37, 72, 0.08);
    padding: clamp(8px, 0.7vw, 10px) clamp(12px, 2vw, 25px);
    gap: clamp(12px, 1.3vw, 20px);
    
}

.testimonial-top-card{
    display: flex;
    justify-content: space-between
}
.testimonial-review-text{
    color: #0A2548;
    font-size: clamp(16px, 1.3vw, 20px);
}
.testimonial-card-info{
    display: flex;
    gap: clamp(12px, 1.3vw, 20px);
    align-items: center;
}
.right-testimonial-card-info{
    display: flex;
    flex-direction: column;
    gap: clamp(6px, 0.7vw, 10px);
}
.testimonial-client{
    display: flex;
    gap: clamp(6px, 0.7vw, 10px);
    align-items: end;
}
.testimonial-client-logo{
    width: clamp(45px, 4vw, 60px);
    height: clamp(45px, 4vw, 60px);
    display: block;
}
.testimonial-segal-logo{
    width: clamp(70px, 6.7vw, 100px);
}
.testimonial-client-right-div{
    display: flex;
    flex-direction: column;
}
.testimonial-quote-mark{
    width: clamp(30px, 3.4vw, 50px);
}
.testimonial-selected-indicator-div{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.indicator-circle{
    width: clamp(14px, 1.3vw, 20px);
    height: clamp(14px, 1.3vw, 20px);
    border-radius: 100%;
    background-color: #A6A9AD ;
    transition: background-color 0.2s ease-out;
}
.indicator-line{
    width: 1px;
    height: clamp(60px, 6vw, 90px);
    background-color: #A6A9AD;
}
.client-image-wrapper{
    border:1px solid #A6A9AD;
    border-radius: 100%;
    padding: clamp(12px, 1.2vw, 15px);
    cursor: pointer;
}
.testimonial-client-name{
    font-size: clamp(16px, 1.3vw, 20px);
    color: #0A2548;
    margin: 0;
}
.testimonial-client-role{
    color: #FFD700;
    font-size: clamp(14px, 1.2vw, 18px);
}
.testimonial-clients-div{
    display: flex;
    flex-direction: column;
    gap: clamp(12px, 1.3vw, 20px);
}
.testimonial-segal-logo-div{
    padding-left: clamp(30px, 5.3vw, 80px);
}
.testimonial-underline{
    background-color: #FFD700;
    width: 100%;
    height: 2px;
}
.testimonial-card-logo{
    width: clamp(40px, 3.3vw, 50px);
    height: clamp(40px, 3.3vw, 50px);
    display: block;
}
.card-info-wrapper{
    border: 2px solid #0A2548;
    border-radius: 100%;
    padding: clamp(9px, 1.5vw, 15px);
}
.testimonial-card-name{
    margin: 0;
    color: #0A2548;
    font-size: clamp(18px,1.3vw,20px);
}
.testimonial-card-role{
    margin: 0;
    color: #FFD700;
    font-size: clamp(14px, 1.1vw, 16px);
}
.selected-indicator-circle{
    background-color: #FFD700;
}
.testimonial-mobile-indicator-div{
    display: none;
}
.selected-client-image-wrapper{
    border-color: #FFD700;
}
.mobile-segal-logo-div{
    display: none;
}
.mobile-segal-logo{
    width: clamp(60px, 5.3vw, 80px);
}
@media(max-width: 1000px){
    .testimonial-main-div{
        flex-direction: column;
        align-items: center;
    }
    .testimonial-selected-indicator-div{
        display: none;
    }
    .testimonial-mobile-indicator-div{
        display: flex;
    }
    .testimonial-segal-logo-div{
        display: none;
    }
    .mobile-segal-logo-div{
        display: block;
    }
}
.testimonial-left-hidden{
    transform: translateX(-100px);
    opacity: 0.3;
     transition: transform 0.5s ease, opacity 0.9s ease;

}
.testimonial-right-hidden{
    transform: translateX(100px);
    opacity: 0.3;
    transition: transform 0.5s ease, opacity 0.9s ease;
}
.testimonial-hidden{
    opacity: 0.3;
     transition: opacity 0.9s ease;
}
.testimonial-show{
    opacity: 1;
    transform: translateX(0px);
}